local O = {};
local lspConfig = require('lspconfig')

function O.setup(on_attach, lsp_flags, capabilities)
    lspConfig['cssls'].setup{
        on_attach = on_attach,
        flags = lsp_flags,
        capabilities = capabilities,
        cmd = {"css-languageserver", "--stdio"}
    }
    lspConfig['html'].setup{
        on_attach = on_attach,
        flags = lsp_flags,
        capabilities = capabilities,
        cmd = {"html-languageserver", "--stdio"}
    }
end

return O
